## libhildon-extras 0.9

=== debian/changelog ===
libhildon-extras (0.9) unstable; urgency=low

  * Initial release

 -- Cornelius Hald <hald@icandy.de>  Mon, 02 Aug 2010 09:18:12 +0200
