=== debian/control ===
Source: libhildon-extras
Section: x11
Priority: optional
Maintainer: Cornelius Hald <hald@icandy.de>
Build-Depends: debhelper (>= 5), libhildon1-dev, gtk-doc-tools, mce-dev, libdbus-1-dev, libosso-dev, libqt4-dev
Standards-Version: 3.6.0

Package: libhildon-extras1-dev
Section: devel
Architecture: all
Depends: ${misc:Depends}, libhildon-extras1 (= ${binary:Version}), pkg-config, libhildon1-dev (>= 2.1.86)
Description: Hildon-Extras libraries development files

Package: libhildon-extras1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Hildon-Extras libraries

Package: libhildon-extras1-dbg
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libhildon-extras1 (= ${binary:Version})
Description: Debug symbols for hildon-extras libraries

Package: libhildon-extras1-time-zone-chooser-dev
Section: devel
Architecture: all
Depends: ${misc:Depends}, libhildon-time-zone-chooser0-0 (>= 0.5.19), pkg-config, libclockcore-dev (>= 0.5.18), libtime-dev (>= 0.0.39), libhildon1-dev (>= 2.1.86)
Description: Contains the unofficial header for HildonTimeZoneChooser

#Package: libhildon-extras1-doc
#Section: doc
#Architecture: all
#Depends: ${misc:Depends}, lynx | www-browser
#Recommends: libgtk2.0-doc, libhildon1-doc
#Description: Hildon-Extras libraries documentation
