=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/buildvars.mk

ifeq (,$(findstring nodocs,$(DEB_BUILD_OPTIONS)))
ENABLE_GTK_DOC = --enable-gtk-doc
else
ENABLE_GTK_DOC = --disable-gtk-doc
DEB_INDEP_PACKAGES := $(subst libhildon1-doc,,$(DEB_INDEP_PACKAGES))
endif

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/utils.mk

DEB_DH_INSTALL_ARGS += -Xtz-chooser #-Xpriv
DEB_CONFIGURE_SCRIPT_ENV += LDFLAGS="-Wl,-O1 -Wl,--as-needed" PKG_CONFIG_PATH=/usr/lib/pkgconfig:/usr/share/pkgconfig
DEB_CONFIGURE_EXTRA_FLAGS := $(ENABLE_GTK_DOC) --enable-maintainer-mode
DEB_COMPRESS_EXCLUDE := .c

config.status: $(DEB_SRCDIR)/configure

$(DEB_SRCDIR)/configure:
	AUTOGEN_SUBDIR_MODE=1 NOCONFIGURE=yes $(DEB_SRCDIR)/autogen.sh

binary-install/libhildon-extras1-time-zone-chooser-dev::
	dh_install -plibhildon-extras1-time-zone-chooser-dev $(DEB_SRCDIR)/debian/tmp/usr/lib/pkgconfig/hildon-extras-tz-chooser-1.pc /usr/lib/pkgconfig/
	dh_install -plibhildon-extras1-time-zone-chooser-dev $(DEB_SRCDIR)/debian/tmp/usr/include/hildon-extras-1/hildon-extras/he-tz-chooser.h /usr/include/hildon-extras-1/hildon-extras//
