## libhildon-extras 0.9.1

=== debian/changelog ===
libhildon-extras (0.9.1) unstable; urgency=low

  * Optified
  * Added he_menu_view_popup()

 -- Cornelius Hald <hald@icandy.de>  Sat, 07 Aug 2010 10:55:45 +0200
