## libhildon-extras 0.9.2

=== debian/changelog ===
libhildon-extras (0.9.2) unstable; urgency=low

  * Lots of documentation fixes 

 -- Cornelius Hald <hald@icandy.de>  Mon, 23 Aug 2010 20:14:32 +0200
