=== debian/rules ===
--- 
+++ 
@@ -2,10 +2,14 @@
 
 include /usr/share/cdbs/1/rules/buildvars.mk
 
+ENABLE_GTK_DOC = --disable-gtk-doc
+ifneq (armel,$(DEB_BUILD_ARCH))
 ifeq (,$(findstring nodocs,$(DEB_BUILD_OPTIONS)))
 ENABLE_GTK_DOC = --enable-gtk-doc
-else
-ENABLE_GTK_DOC = --disable-gtk-doc
+endif
+endif
+
+ifeq (--disable-gtk-doc,$(ENABLE_GTK_DOC))
 DEB_INDEP_PACKAGES := $(subst libhildon1-doc,,$(DEB_INDEP_PACKAGES))
 endif
 
@@ -23,6 +27,24 @@
 $(DEB_SRCDIR)/configure:
 	AUTOGEN_SUBDIR_MODE=1 NOCONFIGURE=yes $(DEB_SRCDIR)/autogen.sh
 
+pre-build::
+	if test "x$(ENABLE_GTK_DOC)" = "x--enable-gtk-doc"; then \
+		echo "*********** Starting server"; \
+		$(DEB_SRCDIR)/run-xvfb.sh ; \
+		cp $(DEB_SRCDIR)/doc/orig-hildon-extras.types $(DEB_SRCDIR)/doc/hildon-extras.types ; \
+	fi
+
+common-post-build-indep::
+	if test "x$(ENABLE_GTK_DOC)" = "x--enable-gtk-doc"; then \
+		echo "*********** Killing server"; \
+		$(DEB_SRCDIR)/run-xvfb.sh --kill ; \
+	fi
+
+common-install-prehook-indep::
+	if test "x$(ENABLE_GTK_DOC)" = "x--disable-gtk-doc"; then \
+		mkdir -p $(DEB_SRCDIR)/debian/tmp/usr/share/gtk-doc/html ; \
+	fi
+
 binary-install/libhildon-extras1-time-zone-chooser-dev::
 	dh_install -plibhildon-extras1-time-zone-chooser-dev $(DEB_SRCDIR)/debian/tmp/usr/lib/pkgconfig/hildon-extras-tz-chooser-1.pc /usr/lib/pkgconfig/
 	dh_install -plibhildon-extras1-time-zone-chooser-dev $(DEB_SRCDIR)/debian/tmp/usr/include/hildon-extras-1/hildon-extras/he-tz-chooser.h /usr/include/hildon-extras-1/hildon-extras//
