## libhildon-extras 0.9.2-1

=== debian/changelog ===
libhildon-extras (0.9.2-1) unstable; urgency=low

  * Testing buildbot

 -- Cornelius Hald <hald@icandy.de>  Tue, 24 Aug 2010 15:45:26 +0300
