=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,7 @@
 #!/usr/bin/make -f
+
+# cdbs targets documented here:
+# http://cdbs-doc.duckcorp.org/en/cdbs-doc.xhtml#id386539
 
 include /usr/share/cdbs/1/rules/buildvars.mk
 
@@ -27,23 +30,24 @@
 $(DEB_SRCDIR)/configure:
 	AUTOGEN_SUBDIR_MODE=1 NOCONFIGURE=yes $(DEB_SRCDIR)/autogen.sh
 
-pre-build::
+#pre-build::
+configure/libhildon-extras1-doc::
 	if test "x$(ENABLE_GTK_DOC)" = "x--enable-gtk-doc"; then \
 		echo "*********** Starting server"; \
 		$(DEB_SRCDIR)/run-xvfb.sh ; \
 		cp $(DEB_SRCDIR)/doc/orig-hildon-extras.types $(DEB_SRCDIR)/doc/hildon-extras.types ; \
 	fi
 
-common-post-build-indep::
+build/libhildon-extras1-doc::
 	if test "x$(ENABLE_GTK_DOC)" = "x--enable-gtk-doc"; then \
 		echo "*********** Killing server"; \
 		$(DEB_SRCDIR)/run-xvfb.sh --kill ; \
 	fi
 
-common-install-prehook-indep::
-	if test "x$(ENABLE_GTK_DOC)" = "x--disable-gtk-doc"; then \
-		mkdir -p $(DEB_SRCDIR)/debian/tmp/usr/share/gtk-doc/html ; \
-	fi
+#common-install-prehook-indep::
+#	if test "x$(ENABLE_GTK_DOC)" = "x--disable-gtk-doc"; then \
+#		mkdir -p $(DEB_SRCDIR)/debian/tmp/usr/share/gtk-doc/html ; \
+#	fi
 
 binary-install/libhildon-extras1-time-zone-chooser-dev::
 	dh_install -plibhildon-extras1-time-zone-chooser-dev $(DEB_SRCDIR)/debian/tmp/usr/lib/pkgconfig/hildon-extras-tz-chooser-1.pc /usr/lib/pkgconfig/
