## libhildon-extras 0.9.2-2

=== debian/changelog ===
libhildon-extras (0.9.2-2) unstable; urgency=low

  * Hopefully figured out the right way to start/kill the X server

 -- Cornelius Hald <hald@icandy.de>  Tue, 24 Aug 2010 15:59:23 +0300
