=== debian/rules ===
--- 
+++ 
@@ -30,8 +30,7 @@
 $(DEB_SRCDIR)/configure:
 	AUTOGEN_SUBDIR_MODE=1 NOCONFIGURE=yes $(DEB_SRCDIR)/autogen.sh
 
-#pre-build::
-configure/libhildon-extras1-doc::
+pre-build::
 	if test "x$(ENABLE_GTK_DOC)" = "x--enable-gtk-doc"; then \
 		echo "*********** Starting server"; \
 		$(DEB_SRCDIR)/run-xvfb.sh ; \
@@ -44,10 +43,10 @@
 		$(DEB_SRCDIR)/run-xvfb.sh --kill ; \
 	fi
 
-#common-install-prehook-indep::
-#	if test "x$(ENABLE_GTK_DOC)" = "x--disable-gtk-doc"; then \
-#		mkdir -p $(DEB_SRCDIR)/debian/tmp/usr/share/gtk-doc/html ; \
-#	fi
+common-install-prehook-indep::
+	if test "x$(ENABLE_GTK_DOC)" = "x--disable-gtk-doc"; then \
+		mkdir -p $(DEB_SRCDIR)/debian/tmp/usr/share/gtk-doc/html ; \
+	fi
 
 binary-install/libhildon-extras1-time-zone-chooser-dev::
 	dh_install -plibhildon-extras1-time-zone-chooser-dev $(DEB_SRCDIR)/debian/tmp/usr/lib/pkgconfig/hildon-extras-tz-chooser-1.pc /usr/lib/pkgconfig/
