## libhildon-extras 0.9.2-3

=== debian/changelog ===
libhildon-extras (0.9.2-3) unstable; urgency=low

  * Trying install/libhildon-extras1-doc target instead of build/...

 -- Cornelius Hald <hald@icandy.de>  Tue, 24 Aug 2010 17:20:12 +0300
