## libhildon-extras 0.9.2-4

=== debian/changelog ===
libhildon-extras (0.9.2-4) unstable; urgency=low

  * Trying common-binary-indep ...

 -- Cornelius Hald <hald@icandy.de>  Tue, 24 Aug 2010 17:55:48 +0300
