=== debian/rules ===
--- 
+++ 
@@ -37,7 +37,7 @@
 		cp $(DEB_SRCDIR)/doc/orig-hildon-extras.types $(DEB_SRCDIR)/doc/hildon-extras.types ; \
 	fi
 
-install/libhildon-extras1-doc::
+common-binary-indep::
 	if test "x$(ENABLE_GTK_DOC)" = "x--enable-gtk-doc"; then \
 		echo "*********** Killing server"; \
 		$(DEB_SRCDIR)/run-xvfb.sh --kill ; \
