## libhildon-extras 0.9.2-5

=== debian/changelog ===
libhildon-extras (0.9.2-5) unstable; urgency=low

  * Lighting up the debian/rules

 -- Cornelius Hald <hald@icandy.de>  Tue, 24 Aug 2010 19:30:58 +0300
