=== debian/rules ===
--- 
+++ 
@@ -30,24 +30,97 @@
 $(DEB_SRCDIR)/configure:
 	AUTOGEN_SUBDIR_MODE=1 NOCONFIGURE=yes $(DEB_SRCDIR)/autogen.sh
 
+debian/control::
+	@echo "target: debian/control"
+
+makebuilddir/hildon-extras1-doc::
+	@echo "target: makebuilddir/hildon-extras1-doc"
+
+makebuilddir::
+	@echo "target: makebuilddir"
+
 pre-build::
+	@echo "target: pre-build"
 	if test "x$(ENABLE_GTK_DOC)" = "x--enable-gtk-doc"; then \
 		echo "*********** Starting server"; \
 		$(DEB_SRCDIR)/run-xvfb.sh ; \
-		cp $(DEB_SRCDIR)/doc/orig-hildon-extras.types $(DEB_SRCDIR)/doc/hildon-extras.types ; \
+#		cp $(DEB_SRCDIR)/doc/orig-hildon-extras.types $(DEB_SRCDIR)/doc/hildon-extras.types ; \
 	fi
 
+update-config::
+	@echo "target: update-config"
+
+post-patches::
+	@echo "target: post-patches"
+
+common-configure-arch::
+	@echo "target: common-configure-arch"
+
+common-configure-indep::
+	@echo "target: common-configure-indep"
+
+configure/libhildon-extras1-doc::
+	@echo "target: configure/libhildon-extras1-doc"
+
+common-build-arch::
+	@echo "target: common-build-arch"
+
+common-build-indep::
+	@echo "target: common-build-indep"
+
+build/libhildon-extras1-doc::
+	@echo "target: build/libhildon-extras1-doc"
+
+common-post-build-arch::
+	@echo "target: common-post-build-arch"
+
+common-post-build-indep::
+	@echo "target: common-post-build-indep"
+
+common-install-prehook-arch::
+	@echo "target: common-install-prehook-arch"
+
+common-install-prehook-indep::
+	@echo "target: common-install-prehook-indep"
+	if test "x$(ENABLE_GTK_DOC)" = "x--disable-gtk-doc"; then \
+		mkdir -p $(DEB_SRCDIR)/debian/tmp/usr/share/gtk-doc/html ; \
+	fi
+
+common-install-arch::
+	@echo "target: common-install-arch"
+
+common-install-indep::
+	@echo "target: common-install-indep"
+
+install/libhildon-extras1-doc::
+	@echo "target: install/libhildon-extras1-doc"
+
+common-binary-arch::
+	@echo "target: common-binary-arch"
+
 common-binary-indep::
+	@echo "target: common-binary-indep"
 	if test "x$(ENABLE_GTK_DOC)" = "x--enable-gtk-doc"; then \
 		echo "*********** Killing server"; \
 		$(DEB_SRCDIR)/run-xvfb.sh --kill ; \
 	fi
 
-common-install-prehook-indep::
-	if test "x$(ENABLE_GTK_DOC)" = "x--disable-gtk-doc"; then \
-		mkdir -p $(DEB_SRCDIR)/debian/tmp/usr/share/gtk-doc/html ; \
-	fi
+binary/libhildon-extras1-doc::
+	@echo "target: binary/libhildon-extras1-doc"
 
 binary-install/libhildon-extras1-time-zone-chooser-dev::
+	@echo "target: binary-install/libhildon-extras1-time-zone-chooser-dev"
 	dh_install -plibhildon-extras1-time-zone-chooser-dev $(DEB_SRCDIR)/debian/tmp/usr/lib/pkgconfig/hildon-extras-tz-chooser-1.pc /usr/lib/pkgconfig/
 	dh_install -plibhildon-extras1-time-zone-chooser-dev $(DEB_SRCDIR)/debian/tmp/usr/include/hildon-extras-1/hildon-extras/he-tz-chooser.h /usr/include/hildon-extras-1/hildon-extras//
+
+cleanbuilddir/libhildon-extras1-doc::
+	@echo "target: cleanbuilddir/libhildon-extras1-doc"
+
+cleanbuilddir::
+	@echo "target: cleanbuilddir"
+
+reverse-config::
+	@echo "target: reverse-config"
+
+clean::
+	@echo "target: clean"
