## libhildon-extras 0.9.2-6

=== debian/changelog ===
libhildon-extras (0.9.2-6) unstable; urgency=low

  * Based on targets I have seen from the buildbot, it looks like common-configure-indep should do the trick.

 -- Cornelius Hald <hald@icandy.de>  Tue, 24 Aug 2010 21:09:48 +0300
