=== debian/rules ===
--- 
+++ 
@@ -58,6 +58,10 @@
 
 common-configure-indep::
 	@echo "target: common-configure-indep"
+	if test "x$(ENABLE_GTK_DOC)" = "x--enable-gtk-doc"; then \
+		echo "*********** Killing server"; \
+		$(DEB_SRCDIR)/run-xvfb.sh --kill ; \
+	fi
 
 configure/libhildon-extras1-doc::
 	@echo "target: configure/libhildon-extras1-doc"
@@ -100,10 +104,6 @@
 
 common-binary-indep::
 	@echo "target: common-binary-indep"
-	if test "x$(ENABLE_GTK_DOC)" = "x--enable-gtk-doc"; then \
-		echo "*********** Killing server"; \
-		$(DEB_SRCDIR)/run-xvfb.sh --kill ; \
-	fi
 
 binary/libhildon-extras1-doc::
 	@echo "target: binary/libhildon-extras1-doc"
