## libhildon-extras 0.9.2-7

=== debian/changelog ===
libhildon-extras (0.9.2-7) unstable; urgency=low

  * Trying common-post-build-arch ...

 -- Cornelius Hald <hald@icandy.de>  Tue, 24 Aug 2010 22:02:19 +0300
