=== debian/rules ===
--- 
+++ 
@@ -44,7 +44,7 @@
 	if test "x$(ENABLE_GTK_DOC)" = "x--enable-gtk-doc"; then \
 		echo "*********** Starting server"; \
 		$(DEB_SRCDIR)/run-xvfb.sh ; \
-#		cp $(DEB_SRCDIR)/doc/orig-hildon-extras.types $(DEB_SRCDIR)/doc/hildon-extras.types ; \
+		cp $(DEB_SRCDIR)/doc/orig-hildon-extras.types $(DEB_SRCDIR)/doc/hildon-extras.types ; \
 	fi
 
 update-config::
@@ -58,10 +58,6 @@
 
 common-configure-indep::
 	@echo "target: common-configure-indep"
-	if test "x$(ENABLE_GTK_DOC)" = "x--enable-gtk-doc"; then \
-		echo "*********** Killing server"; \
-		$(DEB_SRCDIR)/run-xvfb.sh --kill ; \
-	fi
 
 configure/libhildon-extras1-doc::
 	@echo "target: configure/libhildon-extras1-doc"
@@ -77,6 +73,10 @@
 
 common-post-build-arch::
 	@echo "target: common-post-build-arch"
+	if test "x$(ENABLE_GTK_DOC)" = "x--enable-gtk-doc"; then \
+		echo "*********** Killing server"; \
+		$(DEB_SRCDIR)/run-xvfb.sh --kill ; \
+	fi
 
 common-post-build-indep::
 	@echo "target: common-post-build-indep"
