## libhildon-extras 0.9.2-8

=== debian/changelog ===
libhildon-extras (0.9.2-8) unstable; urgency=low

  * common-post-build-arch seems to have worked, so removing kill_after_a_while

 -- Cornelius Hald <hald@icandy.de>  Wed, 25 Aug 2010 10:17:18 +0300
