=== debian/control ===
--- 
+++ 
@@ -2,7 +2,10 @@
 Section: x11
 Priority: optional
 Maintainer: Cornelius Hald <hald@icandy.de>
-Build-Depends: debhelper (>= 5), libhildon1-dev, gtk-doc-tools, mce-dev, libdbus-1-dev, libosso-dev, libqt4-dev
+Build-Depends: debhelper (>= 5),
+ libhildon1-dev, mce-dev, libdbus-1-dev, libosso-dev, libqt4-dev,
+ xfonts-base, xvfb, xkb-data, x11-xkb-utils,
+ links, gtk-doc-tools, libhildon1-doc, libgtk2.0-doc
 Standards-Version: 3.6.0
 
 Package: libhildon-extras1-dev
@@ -29,10 +32,9 @@
 Depends: ${misc:Depends}, libhildon-time-zone-chooser0-0 (>= 0.5.19), pkg-config, libclockcore-dev (>= 0.5.18), libtime-dev (>= 0.0.39), libhildon1-dev (>= 2.1.86)
 Description: Contains the unofficial header for HildonTimeZoneChooser
 
-#Package: libhildon-extras1-doc
-#Section: doc
-#Architecture: all
-#Depends: ${misc:Depends}, lynx | www-browser
-#Recommends: libgtk2.0-doc, libhildon1-doc
-#Description: Hildon-Extras libraries documentation
-
+Package: libhildon-extras1-doc
+Section: doc
+Architecture: all
+Depends: ${misc:Depends}, links | www-browser
+Recommends: libgtk2.0-doc, libhildon1-doc
+Description: Hildon-Extras libraries documentation
