## libhildon-extras 0.9.2-9

=== debian/changelog ===
libhildon-extras (0.9.2-9) unstable; urgency=low

  * Fixing package substitution so -doc package doesn't get generated on armel
  * Cleaning up echoes about X server start/stop
  * Removing target that creates dummy gtk-doc directory

 -- Gabriel Schulhof <nix@go-nix.ca>  Wed, 25 Aug 2010 15:05:20 +0300
