## libhildon-extras 0.9.2-10

=== debian/changelog ===
libhildon-extras (0.9.2-10) unstable; urgency=low

  * Making sure the -doc package does get generated on i386

 -- Gabriel Schulhof <nix@go-nix.ca>  Wed, 25 Aug 2010 15:46:32 +0300
