=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 endif
 
 ifeq (--disable-gtk-doc,$(ENABLE_GTK_DOC))
-DEB_INDEP_PACKAGES := $(subst libhildon1-doc,,$(DEB_INDEP_PACKAGES))
+DEB_INDEP_PACKAGES := $(subst libhildon-extras1-doc,,$(DEB_INDEP_PACKAGES))
 endif
 
 include /usr/share/cdbs/1/rules/debhelper.mk
@@ -28,24 +28,21 @@
 config.status: $(DEB_SRCDIR)/configure
 
 $(DEB_SRCDIR)/configure:
+	@echo "DEB_ALL_PACKAGES = $(DEB_ALL_PACKAGES)"
 	AUTOGEN_SUBDIR_MODE=1 NOCONFIGURE=yes $(DEB_SRCDIR)/autogen.sh
 
 pre-build::
-	if test "x$(ENABLE_GTK_DOC)" = "x--enable-gtk-doc"; then \
-		echo "*********** Starting server"; \
+	@if test "x$(ENABLE_GTK_DOC)" = "x--enable-gtk-doc"; then \
+		echo "Starting X server ..."; \
 		$(DEB_SRCDIR)/run-xvfb.sh ; \
+		echo "Providing initial GObject type information for gtk-doc ..."; \
 		cp $(DEB_SRCDIR)/doc/orig-hildon-extras.types $(DEB_SRCDIR)/doc/hildon-extras.types ; \
 	fi
 
 common-post-build-arch::
-	if test "x$(ENABLE_GTK_DOC)" = "x--enable-gtk-doc"; then \
-		echo "*********** Killing server"; \
+	@if test "x$(ENABLE_GTK_DOC)" = "x--enable-gtk-doc"; then \
+		echo "Killing X server ..."; \
 		$(DEB_SRCDIR)/run-xvfb.sh --kill ; \
-	fi
-
-common-install-prehook-indep::
-	if test "x$(ENABLE_GTK_DOC)" = "x--disable-gtk-doc"; then \
-		mkdir -p $(DEB_SRCDIR)/debian/tmp/usr/share/gtk-doc/html ; \
 	fi
 
 binary-install/libhildon-extras1-time-zone-chooser-dev::
