## libhildon-extras 0.9.3

=== debian/changelog ===
libhildon-extras (0.9.3) unstable; urgency=low

  * Improved documentation (Gabriel Schulhof)
  * Added HeFancyButton (Gabriel Schulhof)

 -- Cornelius Hald <hald@icandy.de>  Wed, 29 Aug 2010 18:07:43 +0300
