=== debian/rules ===
--- 
+++ 
@@ -28,7 +28,6 @@
 config.status: $(DEB_SRCDIR)/configure
 
 $(DEB_SRCDIR)/configure:
-	@echo "DEB_ALL_PACKAGES = $(DEB_ALL_PACKAGES)"
 	AUTOGEN_SUBDIR_MODE=1 NOCONFIGURE=yes $(DEB_SRCDIR)/autogen.sh
 
 pre-build::
