## libhildon-extras 0.9.4

=== debian/changelog ===
libhildon-extras (0.9.4) unstable; urgency=low

  * Fixed HeMenuView GtkTreeModel leakage
  * Fixed overlong menu item label issue
  * Added tests/ subdirectory for widget tests
  * Added interactive HeMenuView test

 -- Gabriel Schulhof <nix@go-nix.ca>  Sat, 11 Sep 2010 22:23:50 +0300
