## libhildon-extras 0.9.4-1

=== debian/changelog ===
libhildon-extras (0.9.4-1) unstable; urgency=low

  * Forgot to update version number in configure.ac

 -- Gabriel Schulhof <nix@go-nix.ca>  Sun, 12 Sep 2010 12:28:22 +0300
