## libhildon-extras 0.9.4-2

=== debian/changelog ===
libhildon-extras (0.9.4-2) unstable; urgency=low

  * Forgot to add picture for HeFancyButton

 -- Gabriel Schulhof <nix@go-nix.ca>  Sun, 12 Sep 2010 13:37:49 +0300
