## libhildon-extras 0.9.5

=== debian/changelog ===
libhildon-extras (0.9.5) unstable; urgency=low

  * Made two more strings translatable
  * Updated .po files
  * .mo files (translations) now included in package

 -- Cornelius Hald <hald@icandy.de>  Sun, 12 Sep 2010 14:20:11 +0300
