## libhildon-extras 0.9.6

=== debian/changelog ===
libhildon-extras (0.9.6) unstable; urgency=low

  * Handle destruction of menus correctly
  * Try 10 times to find a DISPLAY for proper gtk-doc generation
  * Kill Xvfb more thoroughly

 -- Cornelius Hald <hald@icandy.de>  Thu, 30 Sep 2010 20:43:54 +0300
