## libhildon-extras 0.9.7

=== debian/changelog ===
libhildon-extras (0.9.7) unstable; urgency=low

  * Added HeCellRendererToggle to gtk-doc

 -- Cornelius Hald <hald@icandy.de>  Sun,  3 Oct 2010 18:12:24 +0300
